> ## Documentation Index
> Fetch the complete documentation index at: https://polargrid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Health

> Check service health status

# Health

Check the health status of PolarGrid edge services.

## Health Check

```
GET /health
```

Check service health and available features.

### Example

<CodeGroup>
  ```bash cURL theme={null}
  # /health is unauthenticated — no Bearer token needed
  curl https://api.yto-01.edge.polargrid.ai/health
  ```

  ```javascript JavaScript theme={null}
  const health = await client.health();

  console.log(`Status: ${health.status}`);
  console.log(`Backend healthy: ${health.backend.healthy}`);
  ```

  ```python Python theme={null}
  health = await client.health()

  print(f"Status: {health.status}")
  print(f"Backend healthy: {health.backend.healthy}")
  ```
</CodeGroup>

### Response

```json theme={null}
{
  "status": "healthy",
  "node": "pg-edge-tor-01",
  "runtime": "kata",
  "timestamp": "2026-05-11T16:37:29.110635",
  "features": {
    "dynamic_loading": true,
    "huggingface_support": true
  },
  "backend": {
    "healthy": true,
    "info": {
      "name": "triton",
      "version": "2.67.0",
      "extensions": [
        "classification", "sequence", "model_repository",
        "model_repository(unload_dependents)", "schedule_policy",
        "model_configuration", "system_shared_memory",
        "cuda_shared_memory", "binary_tensor_data",
        "parameters", "statistics", "trace", "logging"
      ]
    }
  }
}
```

### Status Values

| Status      | Description                     |
| ----------- | ------------------------------- |
| `healthy`   | All systems operational         |
| `degraded`  | Partial functionality available |
| `unhealthy` | Service unavailable             |

### Features

| Feature               | Description                                              |
| --------------------- | -------------------------------------------------------- |
| `dynamic_loading`     | Gateway supports loading and unloading models at runtime |
| `huggingface_support` | Gateway can pull models from the HuggingFace registry    |

## CLI Health Check

You can also check health via the CLI:

```bash theme={null}
# Check all regions
polargrid test health

# Check specific region
polargrid test health --region yto-01
```
